package com.dcit.danger.service;

import java.util.List;
import java.util.Map;

import com.dcit.danger.dto.EnterpriseDangerNumDTO;
import com.dcit.danger.dto.EnterpriseRegDTO;
import com.dcit.danger.dto.query.EnterpriseInfoQuery;
import com.dcit.danger.model.EnterpriseBasicInfo;
import com.dcit.danger.model.EnterpriseBasicInfoExample;

public interface EnterpriseInfoService {
	
	List<EnterpriseBasicInfo> selectEnterpriseInfoByExample(EnterpriseBasicInfoExample enterpriseBasicInfoExample);
	
	int addEnterpriseInfo(EnterpriseBasicInfo enterpriseBasicInfo);
	
	int updateEnterpriseInfoById(EnterpriseBasicInfo enterpriseBasicInfo);
	
	int deleteEnterpriseInfoById(String id);
	
	EnterpriseBasicInfo selectEnterpriseInfoById(String id);
	
	List<EnterpriseRegDTO> selectEnterpriseRegInfo(EnterpriseInfoQuery enterpriseInfoQuery);
	
	EnterpriseRegDTO selectEnterpriseRegInfoById(String enterpriseId);
	
	List<EnterpriseDangerNumDTO> selectEnterpriseDangerNum(String enterpriseId);

	List<Map<Object, Object>> countByRegulation();
}
